%define momorel 1
#%%define subver 1

%define __libtoolize :
Summary: Clam Antivirus
Name: clamav
Version: 0.83
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://www.clamav.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/clamav/%{name}-%{version}%{?subver:-%{subver}}.tar.gz e3a1b6bbda8095c5aae4eb7bc753804c
Source1: clamd.init
BuildPreReq: zlib-devel >= 1.1.4-5m, libidn-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root/
Requires: chkconfig

%description
Clam Antivirus is a powerful anti-virus scanner for Unix. It supports
AMaViS, compressed files, uses the virus database from
OpenAntivirus.org, and includes a program for auto-updating. The scanner
is multithreaded, written in C, and POSIX compliant.

%prep
%setup -q -n %{name}-%{version}%{?subver:-%{subver}}

%build
%configure --disable-clamav
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} transform='s,x,x,'
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_initscriptdir}
install etc/*.conf %{buildroot}%{_sysconfdir}
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/clamd

%clean
rm -rf %{buildroot}

%pre
if ! grep -q '^clamav:' /etc/group; then
    /usr/sbin/groupadd -r clamav
fi
if ! grep -q '^clamav:' /etc/passwd; then
    /usr/sbin/useradd -M -r -s /bin/false -g clamav -c "Clam Antivirus" clamav || :
fi

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    if [ `grep clamav /etc/passwd | wc -l` = 1 ]; then
        /usr/sbin/userdel clamav
    fi
    if [ `grep clamav /etc/group | wc -l` = 1 ]; then
        /usr/sbin/groupdel clamav
    fi
fi

%post
/sbin/ldconfig
/sbin/chkconfig --add clamd

%preun
if [ "$1" = 0 ] ; then
  if test -r /var/lock/subsys/clamd
  then
    %{_initscriptdir}/clamd stop
  fi
  /sbin/chkconfig --del clamd
fi

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README TODO UPGRADE examples test
%doc docs/*.pdf docs/html
%config(noreplace) %{_sysconfdir}/clamd.conf
%config(noreplace) %{_sysconfdir}/freshclam.conf
%config %{_initscriptdir}/clamd
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/*
%{_includedir}/*
%attr(-,clamav,clamav) %dir %{_datadir}/clamav
%attr(-,clamav,clamav) %config(noreplace) %{_datadir}/clamav/*
%{_mandir}/man*/*

%changelog
* Mon Feb 14 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.83-1m)
- minor bugfixes

* Mon Feb  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.82-1m)
- minor security fixes

* Fri Jan 28 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.81-1m)
- minor security fixes

* Tue Dec  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.80-1m)
- major featuren enhancements

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.75.1-1m)
- minor bugfixes

* Fri Jul  2 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.74-1m)
- major bugfixes

* Tue Jun 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.73-1m)
- major bugfixes

* Fri Jun  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.72-1m)
- major bugfixes

* Thu May 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.71-1m)
- minor feature enhancements

* Sun Apr 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.70-1m)
- major bugfixes

* Thu Apr  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.68-2m)
- version 0.68-1 (including DoS fix)

* Tue Mar 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.68-1m)
- major security fixes

* Tue Feb 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.67-1m)

* Thu Feb 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.66-1m)

* Tue Feb 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.65-2m)
- add a patch to fix possible DOS problem
- http://www.securityfocus.com/archive/1/353186/2004-02-07/2004-02-13/0

* Thu Dec 18 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.65-1m)
- major bugfixes

* Sun Jun 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.60-1m)
- major bugfixes
- add init file of clamd

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.54-2m)
- rebuild against zlib 1.1.4-5m

* Mon Nov 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.54-1m)
- major bugfixes

* Mon Nov  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.53-1m)
- minor bugfixes

* Thu Oct 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.52-2m)
- revise %files

* Thu Oct 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.52-1m)
- minor bugfixes

* Fri Oct 11 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.51-1m)
- major bugfixes

* Sun Oct  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.50-1m)
- major feature enhancements

* Fri Sep 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.24-2m)
- fix permission etc.

* Fri Aug 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.24-1m)
- minor bugfixes

* Sat Aug  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.23-1m)
- minor feature enhancements

* Fri Jul 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.21-1m)
- minor bugfixes

* Mon Jul 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.20-1m)
- revise URL
- add a new program 'sigtool'

* Thu Jun 13 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.15-2k)

* Fri May 31 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.14-2k)

* Thu May 23 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.12-2k)

* Fri May 10 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.11-2k)
